/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.ui.unit.dp

internal object NavigationRail {
    val ActiveFocusIconColor = ColorSchemeKey.OnSecondary
    val ActiveFocusLabelTextColor = ColorSchemeKey.OnSurface
    val ActiveFocusStateLayerColor = ColorSchemeKey.OnSurface
    val ActiveHoverIconColor = ColorSchemeKey.OnSecondary
    val ActiveHoverLabelTextColor = ColorSchemeKey.OnSurface
    val ActiveHoverStateLayerColor = ColorSchemeKey.OnSurface
    val ActiveIconColor = ColorSchemeKey.OnSecondaryContainer
    val ActiveIndicatorColor = ColorSchemeKey.SecondaryContainer
    val ActiveIndicatorHeight = 32.0.dp
    val ActiveIndicatorShape = RoundedCornerShape(16.0.dp)
    val ActiveIndicatorWidth = 56.0.dp
    val ActiveLabelTextColor = ColorSchemeKey.OnSurface
    val ActivePressedIconColor = ColorSchemeKey.OnSecondary
    val ActivePressedLabelTextColor = ColorSchemeKey.OnSurface
    val ActivePressedStateLayerColor = ColorSchemeKey.OnSurface
    val BadgeColor = ColorSchemeKey.Error
    val BadgeShape = RoundedCornerShape(3.0.dp)
    val BadgeSize = 6.0.dp
    val ContainerColor = ColorSchemeKey.Surface
    val ContainerElevation = Elevation.Level0
    val ContainerWidth = 80.0.dp
    val IconSize = 24.0.dp
    val InactiveFocusIconColor = ColorSchemeKey.OnSurface
    val InactiveFocusLabelTextColor = ColorSchemeKey.OnSurface
    val InactiveFocusStateLayerColor = ColorSchemeKey.OnSurface
    val InactiveHoverIconColor = ColorSchemeKey.OnSurface
    val InactiveHoverLabelTextColor = ColorSchemeKey.OnSurface
    val InactiveHoverStateLayerColor = ColorSchemeKey.OnSurface
    val InactiveIconColor = ColorSchemeKey.OnSurfaceVariant
    val InactiveLabelTextColor = ColorSchemeKey.OnSurfaceVariant
    val InactivePressedIconColor = ColorSchemeKey.OnSurface
    val InactivePressedLabelTextColor = ColorSchemeKey.OnSurface
    val InactivePressedStateLayerColor = ColorSchemeKey.OnSurface
    val LabelTextFont = TypographyKey.LabelMedium
    val LargeBadgeColor = ColorSchemeKey.Error
    val LargeBadgeLabelColor = ColorSchemeKey.OnError
    val LargeBadgeLabelFont = TypographyKey.LabelSmall
    val LargeBadgeShape = RoundedCornerShape(8.0.dp)
    val LargeBadgeSize = 16.0.dp
    val MenuFocusIconColor = ColorSchemeKey.OnSurface
    val MenuFocusStateLayerColor = ColorSchemeKey.OnSurface
    val MenuHoverIconColor = ColorSchemeKey.OnSurface
    val MenuHoverStateLayerColor = ColorSchemeKey.OnSurface
    val MenuIconColor = ColorSchemeKey.OnSurfaceVariant
    val MenuIconSize = 24.0.dp
    val MenuPressedIconColor = ColorSchemeKey.OnSurface
    val MenuPressedStateLayerColor = ColorSchemeKey.OnSurface
    val NoLabelActiveIndicatorHeight = 56.0.dp
    val NoLabelActiveIndicatorShape = RoundedCornerShape(28.0.dp)
}
